//
//	ADClass.h
//	  Written by Carl Lindberg Copyright 1998 by Carl Lindberg.
//                     All rights reserved.
//		This notice may not be removed from this source code.
//
//	This header is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import "ADInterface.h"

@class NSArray, NSDictionary;
@class ADComment;

@interface ADClass : ADInterface
{
	NSString	 *className;
	NSString	 *superclassName;
	ADComment	 *inheritsInfo;  /*" Special inheritance information ADComment "*/
	NSArray		 *ivarArray;
}

- (NSString *)className;
- (void)setClassName:(NSString *)aName;

- (NSString *)superclassName;
- (void)setSuperclassName:(NSString *)aName;

- (NSArray *)ivarArray;
- (NSArray *)fullIvarArray;
- (void)setIvarArray:(NSArray *)array;
- (void)addIvarsFromArray:(NSArray *)array;

- (ADComment *)inheritsInfo;
- (void)setInheritsInfo:(ADComment *)comment;
- (NSString *)inheritsInfoString;

@end

